######################################################################
#      shopdoc_ude.tcl
######################################################################
# 
#   Event handler to capture output of specific user defined events
#   for output in ShopDocs.
#
# Revision History
# ----------------
#    Rev  Date         Who    PR      Reason
#    00   09 may 2000  mjr           Initial
#    01   15 May 2001  mjr           cleanup
#
######################################################################
#______________________________________________________________________
#
# proc MOM_operator_message {} CALLED AT THE DISPLY EVENT.
#______________________________________________________________________

proc MOM_operator_message {} {
  global mom_operator_message
  set mom_operator_message [string toupper $mom_operator_message]
  MOM_do_template operator_message
}

#______________________________________________________________________
#
# proc MOM_pprint {} CALLED AT THE PPRINT EVENT.
#______________________________________________________________________

proc MOM_pprint {} {
  global mom_pprint
  if {$mom_pprint == "" } {
      MOM_output_literal "PPRINT/"
  } else {
      MOM_do_template pprint
  }
}



